Summor och produkter
Föregående | Kapitel 6. Programmering med GEL | Nästa

## Summor och produkter

Syntax:

    sum <identifier> = <from> to <to> do <body>
    sum <identifier> = <from> to <to> by <increment> do <body>
    sum <identifier> in <matrix> do <body>
    prod <identifier> = <from> to <to> do <body>
    prod <identifier> = <from> to <to> by <increment> do <body>
    prod <identifier> in <matrix> do <body>

Om du ersätter `for` med `sum` eller `prod` kommer du att få en summa eller en produkt istället för en `for`-slinga. Istället för att returnera det sista värdet kommer dessa att returnera summan respektive produkten av värdena.

Om ingen kropp exekveras (till exempel `sum i=1 to 0 do ...`) så kommer `sum` att returnera 0 och `prod` att returnera 1 som är standardkonventionen.

För flyttal görs samma skydd mot avrundningsfel som i for-slingan. Se ”For-slingor”.

Föregående | Upp | Nästa
Slingor | Hem | Jämförelseoperatorer